Subject: Re: [bug#78461] [PATCH] gnu: font-iosevka: Update to 33.2.2, switch to "Super TTCs".

From: Andrew Wong <[email-masked]>
Date: Sat, 17 May 2025 17:40:09 -0400

On 5/17/25 6:32a, Hilton Chain wrote> Can you clarify why switching to 
‘Super TTC’?  I don't think we have
> issue managing font files.

The 'Super TTC' format is recommended for desktop use upstream[1], and 
it ostensibly saves disk space; we already package Iosevka as TTCs, 
which implies a desktop use-case for the package (upstream recommends 
the "individual TTFs" format for embedding in applications) and for the 
most part we group the sub-fonts in the same way as the upstream super 
TTCs. Therefore, it makes sense to switch for the disk savings and 
filesystem simplicity.

> Descriptions will be translated, they must be string literals.

I designed the procedure specifically so that the "description appendix" 
could be a stand-alone phrase to be translated separately. Is there a 
caveat I'm missing?

[1] https://github.com/be5invis/Iosevka/blob/v33.2.3/doc/PACKAGE-LIST.md